Clinton Adams Clinton Adams - 2 months ago 15
R Question

Error: Package "ggplot" could not be found, when loading the caret package

When I install caret with.

install.packages("caret", dependencies=c("Depends", "Suggests"))
library(caret)
## Loading required package: lattice
## Loading required package: ggplot2



Error in LoadNamespace(i, c(lib.loc, .libPaths()), versionCheck=vI[[i]]):
there is no package called 'digest'

Error: package 'ggplot2' could not be loaded.


So I resolve the issue with the package digest by installing caret using this code and what do I get again:

install.packages("caret", dep="TRUE")
library(caret)
## Loading required package: lattice
## Loading required package: ggplot2



Error in LoadNamespace(i, c(lib.loc, .libPaths()), versionCheck=vI[[i]]):
there is no package called 'gtable'

Error: package 'ggplot2' could not be loaded.


How do I install caret successfully without this kind of errors, especially the ggplot error!

my R Version is R 3.2.2

Answer

Thanks guys for the help. I did try install.packages("caret", dep="TRUE") which installed the package digest, then tried install.packages("ggplot") which installed ggplot with the dependency gtable but still had some missing packages. Did finally manage to load caret without any problems after installing the missing packages as prompted.